#!/usr/bin/env Python
# -*- coding: utf-8 -*-
import scribus, re

slafile = scribus.fileDialog("Bitte eine Scribus 1.5.x Datei auswählen.", "Scribus-Dateien (*.sla)", "/home/julius/Schreibtisch/1-5-Dokument.sla")
filecontent = open(slafile, "r").read()
filecontent = filecontent.replace('<SCRIBUSUTF8NEW Version="1.5.', '<SCRIBUSUTF8NEW Version="1.4.')
filecontent = filecontent.replace('<DefaultStyle/>', '')
filecontent = filecontent.replace('</StoryText>', '')
filecontent = filecontent.replace('<StoryText>', '')
filecontent = filecontent.replace('</Cell>', '\t')
filecontent = filecontent.replace('</TableData>', '')
filecontent = filecontent.replace('PTYPE="12"', 'PTYPE="7"')
filecontent = filecontent.replace('PTYPE="16"', 'PTYPE="4"')
filecontent = re.sub(r"(<DefaultStyle[^>].*?>)", "", filecontent)
filecontent = re.sub(r"(<TableData[^>].*?>)", "", filecontent)
#filecontent = re.sub(r"(<TableBorder[^>].*?>.*?</TableBorder[^>].*?>)", "", filecontent)
filecontent = re.sub(r"(<Cell [^>].*?>)", "", filecontent)
#filecontent = re.sub(r"(<TableData[^>].*?>)", "", filecontent)

newfile = slafile.replace(".sla", "_1-4.sla")
ofile = open(newfile, "w").write(filecontent)
scribus.openDoc(newfile)


anzahl = scribus.pageCount()

for seite in range(1,anzahl+1):
  scribus.gotoPage(seite)
  objects = scribus.getAllObjects()
  for x in objects:
    width,height = scribus.getSize(x)
    scribus.sizeObject(100,100,x)
    scribus.sizeObject(width,height,x)
    scribus.setLineShade(100, x)
